Page MenuHomePhabricator

Install Translate Extension in the French Wiktionary
Closed, ResolvedPublic

Description

Hello, could you please install, configure and enable the Translate Extension and any related features to the "French Wiktionary" - http://fr.wiktionary.org.
Source language should be configured as 'fr' (French)
Thanks in advance.

Local project discussion
https://fr.wiktionary.org/wiki/Wiktionnaire:Wikid%C3%A9mie/juin_2016#Extension:Translate

Event Timeline

Pamputt created this task.Jun 29 2016, 7:05 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 29 2016, 7:05 PM

Also, would it be possible to enable this extension only on the "Wiktionnaire" namespace?

Noe added a subscriber: Noe.Jul 1 2016, 2:44 PM

Do we need a vote for this?

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website. For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJul 4 2016, 4:36 PM

Hi @Pamputt. For configuration change, local consensus is required according to 'Requesting wiki configuration changes'. Even if the community is small, an announcement of proposed changes is welcomed.
Could you bring up the matter on the Village pump page of your wiki (or any other appropriate place) to confirm that this change is wanted by the community, and paste the link to that discussion here?

Hi Aklapper, it has been discussed here. There is no opposition to install it if it is only enabled in the Wiktionnaire namespace.

Dereckson updated the task description. (Show Details)Jul 8 2016, 10:16 AM
Dereckson triaged this task as Normal priority.Jul 8 2016, 11:47 AM
Dereckson updated the task description. (Show Details)
Dereckson added subscribers: JackPotte, Dereckson.

@JackPotte In the discussion, you mentioned issue about overwriting existing content.

Translate is rather flexible in the workflows it allows, so I wonder if some garde-fous aren't possible. Could you have a discussion on Freenode mediawiki-i18n in European hours about how best to configure Translate to address this concern?

JackPotte added a comment.EditedJul 8 2016, 11:56 AM

I'll try. But the only thing I ask is to avoid to replace the obsolete versions of one language by another one.

Any news about that?

@Pamputt: Has discussion taken place that was proposed in T138972#2441129, and what was the outcome?

The discussion couldn't take place (I had just waited a whole Sunday on the chan) but the desired outcome was just mentioned in my comment.

But if it's too complicated please proceed to the Pamputt request anyway.

@JackPotte Nikerabbit is fairly available in European office hours.

Hi Aklapper, it has been discussed here. There is no opposition to install it if it is only enabled in the Wiktionnaire namespace.

No such restriction is available. This rule needs to be enforced by translation admins.

I'll try. But the only thing I ask is to avoid to replace the obsolete versions of one language by another one.

I am not sure what you mean. Existing language subpages can be migrated with Special:PageMigration. If you mean the thing that outdated translations are replaced with new text in the source language, there is no option yet to change this behavior. Only if you don't say to not mark translations outdated when marking page for translation, then those will be kept.

OK I understand. But this avoidance should be a suggestion for the future.

Ok for the impossibility to only enable the extension on the Wiktionanaire namespace. I think it will not be a big deal to manage this from the translation admin point of view.

Since it is the end of holidays for most of you, is there any chance to see this extension be installed quickly on French Wiktionary? Thanks in advance

Okay, I'll deploy that this Monday.

Dereckson updated the task description. (Show Details)Sep 6 2016, 12:50 AM

Mentioned in SAL [2016-09-07T21:36:11Z] <Dereckson> Created tables for Translate extension on fr.wiktionary (T138972)

Change 309182 had a related patch set uploaded (by Dereckson):
Enable Translate on fr.wiktionary

https://gerrit.wikimedia.org/r/309182

Change 309182 merged by jenkins-bot:
Enable Translate on fr.wiktionary

https://gerrit.wikimedia.org/r/309182

Mentioned in SAL [2016-09-07T23:55:38Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Enable Translate on fr.wiktionary (T138972) (duration: 00m 47s)

@Pamputt Extension has been installed.

Ask to a bureaucrat to get the right "translationadmin", then you'll be able to go to the page and mark it for translation. Anyone can then translate with the extension.

I advice you use the extension as is in a first time.

After the first translations, once you know how you want to translate, proofread, publish, you can check https://www.mediawiki.org/wiki/Help:Extension:Translate/Message_group_states and we'll add to the configuration a specific workflow if you're inclined to.

Dereckson closed this task as Resolved.Sep 8 2016, 12:01 AM